using System;
using System.Data;
using System.Data.Common;
using System.Data.SqlTypes;
using System.Xml;

namespace Winson.Framework.Data.XmlClient
{
    public class XmlDataReader : DbDataReader, IDataReader, IDisposable, IDataRecord
    {
        //DataReader的连接应该总是开启的
        private bool isOpen = true;
        private CommandBehavior commandBehavior;
        private XmlCommand command;

        public override bool Read()
        {
            throw new NotImplementedException();
        }

        public override void Close()
        {
            throw new NotImplementedException();
        }

        public override int FieldCount
        {
            get { throw new NotImplementedException(); }
        }

        public override object GetValue(int ordinal)
        {
            throw new NotImplementedException();
        }

        public override bool HasRows
        {
            get { throw new NotImplementedException(); }
        }

        public override bool IsClosed
        {
            get { throw new NotImplementedException(); }
        }
    }
}
